--called at the start of a game, makes the objects in question
function initHost()
	--radomize placement of the bag
	ax = terrain.x + math.random(0, terrain.wid)
	ay = terrain.y + math.random(0, terrain.het)
	
	--create the bag
	stage.createShip("Gasbag", "null", ax, ay, 0)
	ship.rot = math.random(0,359)
	ship.scale = 1 + ((math.random()-.5)/4)
	ship.spin = math.random()/4
	
	--subtle aura
	stage.createEmitter("nebulaeaura")
	emitter.attach(ship)
	emitter.upload()

	terrain.callWithin = 0--skip calling the within function
	terrain.callUpdate = 0--skip calling the update function	
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	return 0
end

--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 20	--from map_icons.png, which frame to use.
	icon.color = 4	--brown
	return 0
end